# CompositeMaterialProperty

#### new Cesium.CompositeMaterialProperty()
DataSources/CompositeMaterialProperty.js 23

A `CompositeProperty` which is also a `MaterialProperty`.

### Members

#### readonlydefinitionChanged : Event
DataSources/CompositeMaterialProperty.js 52

Gets the event that is raised whenever the definition of this property changes. The definition is changed whenever setValue is called with data different than the current value.

#### intervals : TimeIntervalCollection
DataSources/CompositeMaterialProperty.js 63

Gets the interval collection.

#### readonlyisConstant : Boolean
DataSources/CompositeMaterialProperty.js 38

Gets a value indicating if this property is constant. A property is considered constant if getValue always returns the same result for the current definition.

### Methods

#### equals(other) → Boolean
DataSources/CompositeMaterialProperty.js 118

Compares this property to the provided property and returns `true` if they are equal, `false` otherwise.

Name | Type | Description
--- | --- | ---
`other` | Property | optional The other property.

##### Returns:

`true` if left and right are equal, `false` otherwise.

#### getType(time) → String
DataSources/CompositeMaterialProperty.js 76

Gets the `Material` type at the provided time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the type.

##### Returns:

The type of material.

#### getValue(time, result) → Object
DataSources/CompositeMaterialProperty.js 97

Gets the value of the property at the provided time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the value.
`result` | Object | optional The object to store the value into, if omitted, a new instance is created and returned.

##### Returns:

The modified result parameter or a new instance if the result parameter was not supplied.